joomla_16_oppgradering.png

Er det lurt å oppgradere eller bygge et nytt nettsted med Joomla 1.6?

Etter 5 år med joomla 1.5 ble joomla 1.6 lansert. Det har nå gått et par måneder siden lanseringsdatoen, og det har vært mye debatt om nytten av 1.6-oppdateringen og lengden på supporten som vil bli gitt for det nye systemet. Så bør du bruke tid på å migrere ditt eksisterende nettsted til 1.6? Og bør du basere din nye versjon på 1.6, holde deg til 1.5 eller vente på 1.7?

Den offisielle nyheten fra joomla-nettstedet (joomla.org) er at 1.6 er en kortversjon og vil ha en supporttid på noen måneder.

Versjon 1.6.2 den 7. april 2011 (kortsyklusversjon)
Versjon 1.7.0 til versjon 10. juli 2011 (kort syklus)
Versjon 1.8 i januar 2012 - (som vil lanseres på lang sikt = 15 måneder)

Det har skjedd noen store endringer i utgivelsen av 1.6 som gjør at mange tredjepartsmoduler og -komponenter ikke fungerer. Den kanskje største er bruken av mootools 1.2. Mootools 1.12 er nå svært utdatert og begrensende sammenlignet med andre javascript-rammeverk, noe som har resultert i at mange tilleggsmoduler bruker jquery i konfliktfri modus i stedet for å bruke det forhåndsinnlastede mootools-biblioteket. Det er klart at mootools 1.12 aldri vil bli støttet i fremtidige versjoner, men er det verdt å oppgradere til et nytt system der de mest brukte tilleggene dine ikke fungerer?

De viktigste annonserte fordelene med joomla 1.6 er nye ACL (access control list) og nestede kategorier, samt "power", "speed" osv. Problemene knyttet til disse problemene og 1.5 har blitt adressert mange ganger tidligere og ført til utvikling av komponenter som f.eks. K2 (et innholdskonstruksjonssett) som gir flere muligheter og mer fleksibilitet med joomla 1.5 enn med 1.6 alene. Fotis fra Joomlaworks.gr la til og med ut en avstemning om hvorvidt K2 burde oppgraderes til å fungere med 1.6 med tanke på den korte utgivelsesperioden og de begrensede fordelene. Han foreslo også å bygge en ny plugin for å utvide ACL-funksjonene i joomla 1.5.

Zoo, en lignende komponent til K2 (og også 'warp', yootheme-rammeverket) har forlatt mootools helt og valgt å bruke jquery på grunn av vanskeligheten med å støtte 2 forskjellige versjoner (og den forestående utgivelsen av mootools 1.3). Les blogginnlegget her.

Så sent som i forrige uke ble det sluppet en oppdatering for den "stabile" 1.6 som nå krevde at alle tredjepartskomponenter måtte erklære innlasting av mootools i backend, noe som aldri var påkrevd før, ettersom hver eneste "ny", "bruk" og "lagre"-knapp krever dette for å fungere. Dette resulterte i at alle nettsteder som ble oppdatert til den nyeste versjonen ikke kunne bruke de fleste av komponentene sine, og førte til at oppdateringen ble tilbakestilt tre dager senere.

Det er mange andre saker å diskutere, ikke minst debatten innad i joomla-miljøet. En av de mest underholdende personene å følge er skaperen av Akeeba backup (tidligere joomlapack) @nikosdion, en del av joomla-utviklingsteamet.

Det er ingen tvil om at 1.8 kommer til å ha mer til felles med 1.6 enn 1.5, men personlig kommer jeg til å holde meg til joomla 1.5 inntil ting begynner å roe seg og en langsiktig release er på trappene.

Les flere artikler av denne forfatteren

klikk her